/*
 * ******* blinking led using PIC18F2550 - 1********
 * File:   pic18f2550-blinking-led1.c
 *
 * Author: Ron
 * This Software is free software: you free to redistribute it or
 * modify the code way you wish. This software is for educational purpose only.
 *
 * The author will not be responsible for any loss or liability whatsoever.
 * In any circumstances www.rakeshmondal.info shall not be liable for any
 * special, incidental or consequential damages, for any reason whatsoever.
 * No guarantee or warranty whatsoever. Free to share
/*--------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include<p18f2550.h>
#define portb_output TRISB = 0

#pragma config PLLDIV = 5
#pragma config CPUDIV = OSC2_PLL3
#pragma config FOSC   = INTOSC_HS
#pragma config WDT    = OFF
#pragma config LVP    = OFF
#pragma config BOR    = OFF
#pragma config MCLRE  = ON
#pragma config PWRT   = ON
#pragma config PBADEN = OFF

void delayz(void)
{
   int i, j;
   for(i=0;i<3000;i++)
      {
	for(j=0;j<2;j++)
            {   /**Some delay***/   }
      }
}

void main(void)
 {
    portb_output;

       while(1)
       {
           LATBbits.LATB0=1; //RB0 = High
           LATBbits.LATB1=1; //RB1 = High
               delayz();
           LATBbits.LATB0=0; //RB0 = Low
           LATBbits.LATB1=0; //RB1 = Low
               delayz();
        }
}
